{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Make multiple requests in parallel to Asana's API.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["body","headers","status_code"]},"examples":[["body","headers","status_code"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/BatchRequest"}}}},"required":["body"],"additionalProperties":false,"definitions":{"BatchRequest":{"description":"A request object for use in a batch request.","type":"object","properties":{"actions":{"type":"array","items":{"$ref":"#/definitions/BatchRequestAction"}}}},"BatchRequestAction":{"description":"An action object for use in a batch request.","type":"object","properties":{"relative_path":{"description":"The path of the desired endpoint relative to the API’s base URL. Query parameters are not accepted here; put them in `data` instead.","type":"string","examples":["/tasks/123"]},"method":{"description":"The HTTP method you wish to emulate for the action.","type":"string","enum":["get","post","put","delete","patch","head"],"examples":["get"]},"data":{"description":"For `GET` requests, this should be a map of query parameters you would have normally passed in the URL. Options and pagination are not accepted here; put them in `options` instead. For `POST`, `PATCH`, and `PUT` methods, this should be the content you would have normally put in the data field of the body.","type":"object","examples":[{"assignee":"me","workspace":"1337"}]},"options":{"description":"Pagination (`limit` and `offset`) and output options (`fields` or `expand`) for the action. “Pretty” JSON output is not an available option on individual actions; if you want pretty output, specify that option on the parent request.","type":"object","properties":{"limit":{"description":"Pagination limit for the request.","type":"integer","examples":[50]},"offset":{"description":"Pagination offset for the request.","type":"integer","examples":["eyJ0eXAiOJiKV1iQLCJhbGciOiJIUzI1NiJ9"]},"fields":{"description":"The fields to retrieve in the request.","type":"array","items":{"type":"string"},"examples":[["name","gid","notes","completed"]]}},"examples":[{"limit":3,"fields":["name","notes","completed"]}]}},"required":["relative_path","method"]}}},"name":"Submit parallel requests","id":"asana.createbatchrequest","example":{"body":{}},"maxRequests":1,"summary":false}}